https://kotlinlang.org logo
#ktor
Title
# ktor
v

Vytautas Berankis

11/23/2023, 8:14 AM
Hello. Is there any information when dependencies will be updated to io.nettynetty codec http24.1.101.Final io.nettynetty transport native kqueue4.1.101.Final io.nettynetty transport native epoll4.1.101.Final ? The old ones in KTor version 2.3.6 has vulnerabilities. https://nvd.nist.gov/vuln/detail/CVE-2023-44487 https://nvd.nist.gov/vuln/detail/CVE-2023-34462 https://github.com/advisories/GHSA-xpw8-rcwv-8f8p
a

Aleksei Tirman [JB]

11/23/2023, 8:15 AM
Can you please file an issue?
v

Vytautas Berankis

11/23/2023, 8:16 AM
yea sure